Bug 450109 - cpio stores incorrect device nodes if major > 128
cpio stores incorrect device nodes if major > 128
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 09:08 EDT by Jon Burgess
Modified: 2008-07-18 19:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.9-8.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-18 19:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Burgess 2008-06-05 09:08:17 EDT
Description of problem:
While packing and unpacking some CPIO archives I saw the following error
cpio: dev/uba: Invalid argument


Version-Release number of selected component (if applicable):
cpio-2.9-7.fc9.x86_64

How reproducible:
every time

Steps to Reproduce:
find /dev/ | cpio -o | cpio -vt | grep 42949
  
Actual results:
Lots of device nodes get reported like...
crw-------   1 jburgess tty      4294967176, 4294967046 Jun  4 21:57 /dev/pts/6

Expected results:
$ ls -l /dev/pts/6
crw------- 1 jburgess tty 136, 6 2008-06-04 21:57 /dev/pts/6


Additional info:
Seems to happen for any device node with major number > 128
Machine above runs kernel-2.6.25.3-18.fc9.x86_64
The same is seen on machines running RedHat Enterprise Linux 4.6 and 5.1 as well.
Comment 1 Jon Burgess 2008-06-05 09:37:55 EDT
This problem does not effect the "-c" format. It isn't clear whether the default
format should support these higher major numbers. A warning would be nice.
Comment 2 Fedora Update System 2008-07-18 07:15:58 EDT
cpio-2.9-8.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-07-18 19:07:31 EDT
cpio-2.9-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.